﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XDGPopupOnCellCase
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            Random r = new Random();

            for (int i = 0; i < 20; i++)
            {
                Data.Add(new SampleData()
                {
                    ID = i,
                    LastNote = "",
                    RandomNumber = r.Next(1000)
                });
            }
        }
    }

    public class SampleData : INotifyPropertyChanged
    {
        private int id;
        public int ID
        {
            get { return id; }
            set
            {
                if (id != value)
                {
                    id = value;
                    OnPropertyChanged("ID");
                }
            }
        }

        private string ln;
        public string LastNote
        {
            get { return ln; }
            set
            {
                if (ln != value)
                {
                    ln = value;
                    OnPropertyChanged("LastNote");
                }
            }
        }

        private int rn;
        public int RandomNumber
        {
            get { return rn; }
            set
            {
                if (rn != value)
                {
                    rn = value;
                    OnPropertyChanged("RandomNumber");
                }
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;
        protected virtual void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }
}
